cdac.medinfo.ccd.datatype

## Class HXITCE

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.CD
    - - cdac.medinfo.ccd.datatype.CE
      - - cdac.medinfo.ccd.datatype.HXITCE

- All Implemented Interfaces:
    java.io.Serializable

      public class HXITCE
      extends CE

  Java class for HXIT_CE complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="HXIT_CE">
         <complexContent>
           <extension base="{urn:hl7-org:v3}CE">
             <sequence>
               <element name="validTime" type="{urn:hl7-org:v3}IVL_TS" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HXITCE()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IVLTS` | `getValidTime()` Gets the value of the validTime property.
    `void` | `setValidTime(IVLTS value)` Sets the value of the validTime property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.CD

      `getCode, getCodeSystem, getCodeSystemName, getCodeSystemVersion, getDisplayName, getOriginalText, getQualifier, getTranslation, setCode, setCodeSystem, setCodeSystemName, setCodeSystemVersion, setDisplayName, setOriginalText`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HXITCE

          public HXITCE()

  - ### Method Detail

    - #### getValidTime

          public IVLTS getValidTime()

      Gets the value of the validTime property.
      Returns:
        possible object is `IVLTS`

    - #### setValidTime

          public void setValidTime(IVLTS value)

      Sets the value of the validTime property.
      Parameters:
        `value` - allowed object is `IVLTS`